Subject: bug#15478: cc-mode does not obey electric-indent-mode

From: Andreas Röhler <[email-masked]>
Date: Thu, 03 Oct 2013 07:56:09 +0200

Am 03.10.2013 06:10, schrieb Stefan Monnier:
>>> That's because *you* like electric-indent-mode.  Not because C is special.
>> Electric indentation is more useful in a language like C than it is in
>> something like Python --- C has a richer set of brace characters.
>
> Right: Python is indeed special because fully automatic indentation is
> not really possible.  But C is not special in this respect.
>
>> cc-mode's sophisticated syntactic indentation is an Emacs "killer feature".
>
> The "sophisticated syntactic indentation" is also a killer feature for
> Octave users, SML users, Lisp users, Javascript users, ...
>
>> Anyway, we should be showcasing it by default, using electric
>> indentation, instead of hiding it behind configuration because users
>> might want to lobotomize their indentation by rebinding <tab>.
>
> That's arguing for changing the global default of electric-indent-mode.
>
> Whereas this bug report is about changing cc-mode to follow the
> global preference, whichever way it's set.
>
>
>          Stefan
>
>
>
>

Experience from python-mode says: better keep electric-stuff and common indent apart.

Being aware new users might be attracted by these shiny and useful features, for Emacs beginners
a lot of surprises may result.

IMHO that's part of the "steep learning curve", Emacs is often blamed of - too much electric stuff for beginners.

Rather tell at README and Info what to activate once it works.